<?php
#########################################
# Original Author of file: Jimmy Conner #
#########################################

##################################################
# File modified by GRISARD Jean Marc			#
# Contact ------> jmgrisard@capec.fr			#
# Program ------> Ossec tab for Cacti			#
# Version ------> 0.1							#
# Purpose ------> Display ossec inside of Cacti #
#################################################


function plugin_init_ossec() {
	global $plugin_hooks;
	$plugin_hooks['top_header_tabs']['ossec'] = 'ossec_show_tab';
	$plugin_hooks['top_graph_header_tabs']['ossec'] = 'ossec_show_tab';
	$plugin_hooks['config_arrays']['ossec'] = 'ossec_config_arrays';
	$plugin_hooks['draw_navigation_text']['ossec'] = 'ossec_draw_navigation_text';
	$plugin_hooks['top_graph_refresh']['ossec'] = 'ossec_top_graph_refresh';
	$plugin_hooks['config_settings']['ossec'] = 'ossec_config_settings';
}

function ossec_config_settings () {
	global $tabs, $settings;
	$tabs["misc"] = "Misc";

	$temp = array(
		"ossec_header" => array(
			"friendly_name" => "Ossec",
			"method" => "spacer",
			),
		"ossec_url" => array(
			"friendly_name" => "Ossec URL",
			"description" => "This is full URL used to connect to ossec.  (ex: http://192.168.0.1/ossec/).<br>Use |SERVERIP| to use the current server's IP. (ex: http://|SERVERIP|/ossec/)",
			"method" => "textbox",
			"max_length" => 255,
			)
	);
	if (isset($settings["misc"]))
		$settings["misc"] = array_merge($settings["misc"], $temp);
	else
		$settings["misc"]=$temp;
}

function ossec_top_graph_refresh ($refresh) {
	if (basename($_SERVER["PHP_SELF"]) != "ossec.php")
		return $refresh;
	return 99999;
}

function ossec_show_tab () {
	global $config, $user_auth_realms, $user_auth_realm_filenames;
	$realm_id2 = 0;

	if (isset($user_auth_realm_filenames{basename('ossec.php')})) {
		$realm_id2 = $user_auth_realm_filenames{basename('ossec.php')};
	}
	if ((db_fetch_assoc("select user_auth_realm.realm_id
		from user_auth_realm where user_auth_realm.user_id='" . $_SESSION["sess_user_id"] . "'
		and user_auth_realm.realm_id='$realm_id2'")) || (empty($realm_id2))) {

		print '<a href="' . $config['url_path'] . 'plugins/ossec/ossec.php"><img src="' . $config['url_path'] . 'plugins/ossec/images/tab_ossec.gif" alt="ossec" align="absmiddle" border="0"></a>';

	}
}

function ossec_config_arrays () {
	global $user_auth_realms, $user_auth_realm_filenames;
	$user_auth_realms[37]='View Ossec';
	$user_auth_realm_filenames['ossec.php'] = 37;
}


function ossec_draw_navigation_text ($nav) {
   $nav["ossec.php:"] = array("title" => "ossec", "mapping" => "index.php:", "url" => "ossec.php", "level" => "1");
   return $nav;
}

function ossec_version () {
	return array( 'name' 	=> 'ossec',
			'version' 	=> '0.1',
			'longname'	=> 'Ossec Viewer',
			'author'	=> 'GRISARD Jean Marc',
			'email'	=> 'jmgrisard@capec.fr',
			);
}

?>